javax.batch.operations

## Class NoSuchJobException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.NoSuchJobException

All Implemented Interfaces:
  Serializable

    public class NoSuchJobException
    extends BatchRuntimeException

Used in JobOperator methods when referencing a job name value which does not correspond to a job recognized by the implementation's repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchJobException()`
`NoSuchJobException(String message)`
`NoSuchJobException(String message, Throwable cause)`
`NoSuchJobException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchJobException

    public NoSuchJobException()

#### NoSuchJobException

    public NoSuchJobException(String message)

#### NoSuchJobException

    public NoSuchJobException(Throwable cause)

#### NoSuchJobException

    public NoSuchJobException(String message,
                      Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0